body {
    margin: 0;
    font-family: 'Lato', sans-serif;
}

.container {
    width: 100%;
    margin: auto;
    text-align: center;
    padding-top: 50px;
}

.detail {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    text-align: left;
}

.detail .image img {
    width: 45vw;
    height: 80vh;
}

.detail .name {
    font-size: 2em;
    padding: 15px 0;
    padding: 15% 10% 15% 0;
}

.price_quantity {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 50px;
}

.price {
    font-weight: bold;
    font-size: 3em;
}

.quantity {
    display: flex;
    align-items: center;
    gap: 25px;
    margin-left: 5%;
}

.quantity button {
    width: 50px;
    height: 50px;
    font-size: 2.5em;
    border: none;
    background-color: #000;
    color: white;
    border-radius: 100%;
    cursor: pointer;
}

.quantity span {
    font-size: 1.5em;
    font-weight: bold;
}

.buttons {
    margin-top: 10px;
}

.buttons button {
    border: 0;
    padding: 15px 30px;
    color: white;
    background: #3E9446;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-size: 16px;
    border-radius: 10px;
    cursor: pointer;
    width: 60%;
}

.buttons button:hover {
    background: #45924d;
}

.description_text {
    width: 100%;
    font-size:larger;
    margin-top: 7%;
    letter-spacing: 1px;
}

/* Responsividade */
@media only screen and (max-width: 1100px) {
    .detail {
        text-align: center;
        grid-template-columns: 1fr;
        justify-items: center; /* Centraliza o conteúdo */
    }

    .detail .image img {
        width: 60vw;
        height: 60vh;
    }

    .price_quantity {
        display: flex;
        align-items: center;
        gap: 20px;
        justify-content: center; /* Centraliza horizontalmente */
        margin-bottom: 50px;
        text-align: center; /* Centraliza o texto */
    }

    .detail .name {
        font-size: 1.5em;
        margin: 0;
    }

    .price {
        font-weight: bold;
        font-size: 2em;
    }

    .quantity {
        display: flex;
        align-items: center;
        gap: 15px;
    }

    .buttons button {
        font-size: 0.9em;
        width: 60%; /* Deixa o botão com largura completa para centralização */
    }
}


@media only screen and (max-width: 650px) {
    .detail .image img {
        width: 50vw;
        height: 40vh;
    }
}

@media only screen and (max-width: 430px) {
    .detail .image img {
        width: 55vw;
        height: 30vh;
    }

    .description_text {
        margin-top: 80px;
font-size: medium;
    }
}